@import "_variables.less";

body[state=login] {
  padding-top: 37px;
  @media @smartphones {
    padding-top: 10px;
  }
}

body[state=login] > div {
  width: 320px;
  margin-left: auto;
  margin-right: auto;
  @media @smartphones {
    width: 100%;
    padding: 0 20px;
  }
}

#xivo-logo {
  height: 200px;
  text-align: center;
  margin-bottom: 20px;
  margin-top: -40px;
}

#xivo-description {
  margin: 30px 0;
  font-size: 13px;
  font-weight: 300;
  line-height: 1.54;
  color: @xivo-dark-gray;
  text-align: center;
}

body[state=login] form {
  padding: 15px 25px 10px 25px;
  background-image: @app-header-background;
  box-shadow: 0 2px 2px 0 rgba(110, 110, 110, 0.35);
  min-width: 320px;

  input:-webkit-autofill ~ label { -webkit-transform: translate(0, 38%) scale(0.75); transform: translate(0, 38%) scale(0.75); }
  input:-webkit-autofill,
  input:-webkit-autofill:hover, 
  input:-webkit-autofill:focus, 
  input:-webkit-autofill:active  {
      -webkit-box-shadow: 0 0 0 30px lighten(@xivo-primary, 40%) inset !important;
  }


  md-input-container {
    margin: 18px 0 0 0;
  }

  .alert {
    margin-top: 35px;
  }

}

.windows-button:hover, .debian-button:hover {
  background-color: lighten(@xivo-primary, 40%);
}

body[state=login] form .title {
  text-transform: uppercase;
  font-size: 22px;
  font-weight: bold;
  letter-spacing: 2.9px;
  color: @xivo-primary;
  margin-bottom: 30px;
}

#loading-animation {
  border: 2px solid @btn-primary-color-hover-1;
  border-top: 2px solid white;
  display: inline-block;
  margin-bottom: -2px;
  margin-left: 8px;
  border-radius: 50%;
  width: 15px;
  height: 15px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.retry-auto-login {
  text-align: center;
  font-size: 12px;
}

.w-100 {
  width: 100% !important;
}
.h-100 {
  height: 100% !important;
}